Get a call
curl --request GET \
--url https://backend.drivehealth.ai/api/calls/{call_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.drivehealth.ai/api/calls/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.drivehealth.ai/api/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"err": false,
"msg": "Success",
"results": {
"call_id": "3c2b1a09-8f7e-4d6c-9b8a-7d6c5b4a3f2e",
"protocol": "web",
"status": "completed",
"call_duration_seconds": 211,
"resolved": false,
"call_recording_url": "https://backend.drivehealth.ai/api/calls/recording/3c2b1a09-8f7e-4d6c-9b8a-7d6c5b4a3f2e"
}
}
Results
Get a call
Read one call your organization owns.
GET
/
api
/
calls
/
{call_id}
Get a call
curl --request GET \
--url https://backend.drivehealth.ai/api/calls/{call_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.drivehealth.ai/api/calls/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.drivehealth.ai/api/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"err": false,
"msg": "Success",
"results": {
"call_id": "3c2b1a09-8f7e-4d6c-9b8a-7d6c5b4a3f2e",
"protocol": "web",
"status": "completed",
"call_duration_seconds": 211,
"resolved": false,
"call_recording_url": "https://backend.drivehealth.ai/api/calls/recording/3c2b1a09-8f7e-4d6c-9b8a-7d6c5b4a3f2e"
}
}
Authorizations
organizationBearerorganizationApiKey
An organization API key starting with dh_, sent as Authorization: Bearer dh_your_api_key.
Path Parameters
ID of a call your organization owns.
